extform.FormView = {
    // Extでフォームをリッチに表示
    applyExt: function() {
	Ext.QuickTips.init();

	var form         = new Ext.form.BasicForm('form');

	var name         = new Ext.form.TextField(
	    {applyTo:       'name',
	     allowBlank:    false});

	var prefstore    =  new Ext.data.SimpleStore(
	    {fields: ['value', 'dispvalue'],
	     data:   [['tokyo',    '東京都'],
		      ['kanagawa', '神奈川県'],
		      ['chiba',    '千葉県'],
		      ['saitama',  '埼玉県']]});
	var pref         = new Ext.form.ComboBox(
	    {applyTo:       'pref', 
	     store:         prefstore,
	     displayField:  'dispvalue',
	     valueField:    'value',
	     typeAhead:     true,
	     mode:          'local',
	     triggerAction: 'all',
	     emptyText:     '選択してください',
	     selectOnFocus: true});
	var birth        = new Ext.form.DateField(
	    {applyTo:       'birth',
	     format:        'Y/m/d',
	     value:         '1970/01/01'});
	var introduction = new Ext.form.HtmlEditor(
	    {applyTo:       'introduction',
	     width:         510,
	     height:        200});

	form.add(name, pref, birth, introduction);

	return form;
    },
    // 都道府県と対応する市町村の表示
    changeCity: function(form, url) {
	var city = form.findField('city')
	if (city) {
	    form.remove(city);
	    city.destroy();
	}
	
	var store = new Ext.data.JsonStore({
	    url:  url,
	    root: 'cities',
	    fields: ['value', 'dispvalue']
	});

	city = new Ext.form.ComboBox({
	    renderTo:      'city_container',
	    store:         store,
	    id:            'city',
	    displayField:  'dispvalue',
	    valueField:    'value',
	    typeAhead:     true,
	    triggerAction: 'all',
	    emptyText:     '選択してください',
	    selectOnFocus: true});

	form.add(city);
    },
    // 送信内容をダイアログ内で表示
    send: function(form) {
	if (form.isValid()) {
	    var values = form.getValues();
	    Ext.MessageBox.alert('送信しました', 
				 '名前: '           + values.name + '<br />' + 
				 '都道府県: '       + values.pref  + '<br />' +
				 '市町村: '         + values.city  + '<br />' + 
				 '生年月日: '       + values.birth + '<br />' +
				 '自己紹介: <br />' + values.introduction);
	}
	else {
	    Ext.MessageBox.alert('送信に失敗しました', 
				 '入力内容を確認してください')
	}
    }

}

